<template>
  <div class="shop">
    <header>
      <router-link to="/" class="shop-link">
        <div class="logo">
          <img
            src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTnLUVawAil3EMIWnVlQdeR7cKKjjy1Pk3pqJ4WN9b9Zmk8KOH0vSbiP-Yg18o3mFFB3gw&usqp=CAU"
            alt="Logo"
          />
          <h1 class="logo-title">Магазин</h1>
        </div>
      </router-link>

      <nav>
        <SearchInput />
        <router-link to="/products/card" class="bag-icon">
          <SvgIcon type="cart" />
          <span class="count-block" v-if="getCartCount.length">{{
            getCartCount.length
          }}</span>
        </router-link>
      </nav>
    </header>
  </div>
</template>
<script>
import { mapGetters } from "vuex";
import SvgIcon from "./SvgIcon.vue";
import SearchInput from "@/components/SearchInput.vue";
export default {
  components: {
    SvgIcon,
    SearchInput,
  },
  computed: {
    ...mapGetters(["getCartCount"]),
  },
};
</script>

<style scoped>
.shop {
  padding: 0 20px;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* padding: 20px 0; */
  border-bottom: 1px solid #ccc;
}

.logo {
  display: flex;
  align-items: center;
}

.logo img {
  max-width: 70px;
  margin-right: 10px;
}

header h1 {
  margin: 0;
}

nav {
  display: flex;
  align-items: center;
  gap: 8px;
}

.bag-icon {
  position: relative;
  color: black;
  text-decoration: none;
}
.count-block {
  position: absolute;
  width: 20px;
  height: 20px;
  background: black;
  text-align: center;
  color: white;
  border-radius: 100%;
  font-size: 12px;
  display: flex;
  align-items: center;
  justify-content: center;
  top: -8px;
  left: -10px;
}
.shop-link {
  text-decoration: none;
}
.logo-title {
  color: black;
}
</style>
